Bug 1836867 - glibc: internal_end*ent in nss_compat may clobber errno, hiding ERANGE
Summary: glibc: internal_end*ent in nss_compat may clobber errno, hiding ERANGE
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: glibc
Version: 8.2
Hardware: All
OS: All
high
medium
Target Milestone: beta
: 8.3
Assignee: Florian Weimer
QA Contact: qe-baseos-tools-bugs
Zuzana Zoubkova
URL:
Whiteboard:
: 1871393 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-05-18 11:36 UTC by Florian Weimer
Modified: 2021-09-17 12:21 UTC (History)
9 users (show)

Fixed In Version: glibc-2.28-126.el8
Doc Type: Bug Fix
Doc Text:
.Password and group lookups no longer fail in `glibc` Previously, the `nss_compat` module of the `glibc` library overwrote the `errno` status with incorrect error codes during processing of password and group entries. Consequently, applications did not resize buffers as expected, causing password and group lookups to fail. This update fixes the problem, and the lookups now complete as expected.
Clone Of: 1834816
Environment:
Last Closed: 2020-11-04 01:33:28 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:4444 0 None None None 2020-11-04 01:33:36 UTC

Description Florian Weimer 2020-05-18 11:36:47 UTC
+++ This bug was initially created as a clone of Bug #1834816 +++

The end*ent functions such as internal_endpwent call into the rest of glibc and other NSS modules, without saving errno around those calls. Since successful function calls can clobber errno, a critical ERANGE error can be masked, and the caller will not retry with a larger buffer, reporting a different error instead.

Comment 6 Sergey Kolosov 2020-09-19 12:48:40 UTC
Verified, the bug has been fixed in glibc-2.28-126.el8

Comment 9 errata-xmlrpc 2020-11-04 01:33:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: glibc security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:4444

Comment 11 Florian Weimer 2020-11-27 10:20:12 UTC
*** Bug 1871393 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.